PROG=./jacobi-par.bin
VFILE=check.mx
if [ $# -ne 4 ]; then
  echo Usage: jacobi.sh A.mx b.mx sol.mx threads
  exit 1
fi

echo --- invoking jacobi program $PROG ---
$PROG $1 $2 $3 $4
if [ $? -ne 0 ]; then
  echo Something went wrong running the program!
  exit $?
fi
echo --- checking if solution is correct ---
./mvp.bin $1 $3 $VFILE
./cm.bin $2 $VFILE 0.1
echo --- done ---
if [ $? -eq 0 ]; then
  echo Ok !
fi
